{% extends 'main.html' %} {% block contenido %}

<div class="container-fluid">
  <div class="row mt-2">
    <div class="col-2" style="align-items: center">
      <a href="../"
        ><button
          type="button"
          class="btn btn-outline-info"
          style="float: right"
        >
          <i class="fa fa-arrow-left" aria-hidden="true"></i></button
      ></a>
    </div>
    <div class="col-7">
      <div class="three">
        <h1>Notas</h1>
      </div>
      <hr />
      {% if messages %} {% for message in messages %}
      <div
        class="alert alert-{{message.level_tag}} alert-dismissible fade show"
        role="alert"
      >
        {{message.message}}
        <button
          type="button"
          class="btn-close"
          data-bs-dismiss="alert"
          aria-label="Close"
        ></button>
      </div>
      {% endfor %} {% endif %}
    </div>

    <div class="col-2"></div>
  </div>
  <div class="row">
    <div class="col-2"></div>
    <div class="col-8" style="display: block">
      <div class="row">
        <div class="col-7"></div>
        <div class="col-3">
          <select
            class="form-select"
            aria-label="Default select example"
            id="filter_select"
            required
          >
            <option selected disabled value="">Seleccione un filtro</option>
            {%for contact in allContacts%}

            <option value="{{contact.dni}}">{{contact.first_name}}</option>

            {%endfor%}
          </select>
        </div>
        <div class="col-2">
          <a href="../note/">
            <button
              type="button"
              class="btn btn-primary"
              style="float: left"
              title="Eliminar Filtros"
            >
              <i class="fa fa-refresh" aria-hidden="true"></i>
            </button>
          </a>
          <button
            type="button"
            class="btn btn-primary"
            data-bs-toggle="modal"
            data-bs-target="#createNoteModal"
            style="float: right"
            title="Añadir Nota"
          >
            <i class="fa-solid fa-plus"></i> Añadir
          </button>
        </div>
      </div>
    </div>
    <div class="col-2"></div>
  </div>
  <div class="row mt-3">
    <div class="col-2"></div>
    <div class="col-8">
      <div class="row">
        {%for note in allNotes%}
        <div class="col-3">
          <div class="card text-dark bg-light mb-3" style="max-width: 18rem">
            <div class="card-header">{{note.first_name}}</div>
            <div class="card-body">
              <h5 class="card-title">{{note.title}}</h5>
              <p class="card-text">{{note.content}}</p>
              <i
                title="Editar Nota"
                class="fa-solid fa-pencil card-link pointer"
                data-bs-toggle="modal"
                data-bs-target="#editNoteModal"
                onclick="setEditNote('{{note.id}}', '{{note.title}}', '{{note.content}}','{{note.dni}}')"
                style="color: #0052cc;"
              ></i>
              &nbsp; &nbsp; &nbsp;
              <i
                title="Eiminar Nota"
                class="fa-solid fa-xmark pointer"
                data-bs-toggle="modal"
                data-bs-target="#deleteNoteModal"
                onclick="setDeleteNote('{{note.id}}', '{{note.title}}', '{{note.first_name}}' + ' ' + '{{note.last_name}}')"
                style="color: #0052cc;"
              ></i>
            </div>
          </div>
        </div>
        {%endfor%}
      </div>
    </div>
    <div class="col-2"></div>
  </div>
</div>

<!-- CREATE NOTE MODAL -->
<div class="modal fade" id="createNoteModal">
  <div class="modal-dialog">
    <div class="modal-content">
      <!-- Modal Header -->
      <div class="modal-header">
        <h4 class="modal-title">Nueva Nota</h4>
        <button
          type="button"
          class="btn-close"
          data-bs-dismiss="modal"
        ></button>
      </div>

      <!-- Modal body -->
      <div class="modal-body">
        <form action="../note/save-note" method="POST">
          {% csrf_token %}
          <div class="mb-3">
            <label for="exampleInputFirstName" class="form-label">Título</label>
            <input
              type="text"
              class="form-control"
              id="title"
              name="title"
              aria-describedby="firstnameHelp"
              maxlength="30"
              minlength="2"
              required
            />
          </div>
          <div class="mb-3">
            <label for="exampleFormControlTextarea1" class="form-label"
              >Contenido</label
            >
            <textarea
              class="form-control"
              id="content"
              name="content"
              rows="3"
              minlength="2"
              maxlength="255"
              required
            ></textarea>
          </div>
          <div class="mb-3">
            <label for="exampleFormControlTextarea1" class="form-label"
              >Contacto</label
            >
            <select
              class="form-select"
              aria-label="Default select example"
              id="dni"
              name="dni"
              required
            >
              <option selected disabled value="">Seleccione un contacto</option>
              {%for contact in allContacts%}
              <option value="{{contact.dni}}">{{contact.first_name}}</option>
              {%endfor%}
            </select>
          </div>
          <div class="mb-3 center-elements">
            <button type="submit" class="btn btn-primary">Enviar</button>
          </div>
        </form>
      </div>

      <!-- Modal footer -->
      <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-bs-dismiss="modal">
          Cerrar
        </button>
      </div>
    </div>
  </div>
</div>

<!-- EDIT NOTE MODAL -->
<div class="modal fade" id="editNoteModal">
  <div class="modal-dialog">
    <div class="modal-content">
      <!-- Modal Header -->
      <div class="modal-header">
        <h4 class="modal-title">Editar Nota</h4>
        <button
          type="button"
          class="btn-close"
          data-bs-dismiss="modal"
        ></button>
      </div>

      <!-- Modal body -->
      <div class="modal-body">
        <form action="../note/edit-note" method="POST">
          {% csrf_token %}
          <input id="id_edit" name="id" type="hidden" />
          <div class="mb-3">
            <label for="exampleInputFirstName" class="form-label">Título</label>
            <input
              type="text"
              class="form-control"
              id="title_edit"
              name="title"
              aria-describedby="firstnameHelp"
              maxlength="30"
              minlength="2"
              required
            />
          </div>
          <div class="mb-3">
            <label for="exampleFormControlTextarea1" class="form-label"
              >Contenido</label
            >
            <textarea
              class="form-control"
              id="content_edit"
              name="content"
              rows="3"
              minlength="2"
              maxlength="255"
              required
            ></textarea>
          </div>
          <div class="mb-3">
            <label for="exampleFormControlTextarea1" class="form-label"
              >Contacto</label
            >
            <select
              class="form-select"
              aria-label="Default select example"
              id="dni_edit"
              name="dni"
              required
            >
              <option selected disabled value="">Seleccione un contacto</option>
              {%for contact in allContacts%}
              <option value="{{contact.dni}}">{{contact.first_name}}</option>
              {%endfor%}
            </select>
          </div>
          <div class="mb-3 center-elements">
            <button type="submit" class="btn btn-primary">Enviar</button>
          </div>
        </form>
      </div>

      <!-- Modal footer -->
      <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-bs-dismiss="modal">
          Cerrar
        </button>
      </div>
    </div>
  </div>
</div>

<!-- DELETE NOTE MODAL  -->
<div class="modal fade" id="deleteNoteModal">
  <div class="modal-dialog">
    <div class="modal-content">
      <!-- Modal Header -->
      <div class="modal-header">
        <h4 class="modal-title">Eliminar Nota</h4>
        <button
          type="button"
          class="btn-close"
          data-bs-dismiss="modal"
        ></button>
      </div>

      <!-- Modal body -->
      <div class="modal-body" style="text-align: justify">
        <p>
          Estas seguro de eliminar la nota <b id="titleDel"></b> de
          <b id="fullNameNoteDel"></b>?
        </p>
        <div class="mb-3 center-elements">
          <button
            type="button"
            class="btn btn-danger"
            data-bs-dismiss="modal"
            style="margin-right: 3px"
          >
            Cancelar
          </button>
          <a id="link_to_delete_note">
            <button type="submit" class="btn btn-primary">Si</button></a
          >
        </div>
      </div>
    </div>
  </div>
</div>

<script>
  function setEditNote(id, title, content, dni) {
    let idedit = document.getElementById("id_edit").setAttribute("value", id);
    let titleEdit = document
      .getElementById("title_edit")
      .setAttribute("value", title);
    let contentEdit = (document.getElementById("content_edit").innerHTML =
      content);

    document.getElementById("dni_edit").value = dni;
  }

  function setDeleteNote(id, title, fullName) {
    let fullNameNoteDel = (document.getElementById(
      "fullNameNoteDel"
    ).innerHTML = fullName);
    let titleDel = (document.getElementById("titleDel").innerHTML = title);
    let linktToDel = document.getElementById("link_to_delete_note");
    linktToDel.href = `delete-note?id=${id}`;
  }
  let select = document.getElementById("filter_select");
  select.addEventListener("change", filterData);
  function filterData() {
    let filterSelect = document.getElementById("filter_select");
    window.location = `../note/filter-notes?dni=${filterSelect.value}`;
  }
</script>
{% endblock %}
